@import url('https://fonts.googleapis.com/css2?family=Varela+Round&display=swap');
@import url("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.7.0/font/bootstrap-icons.css");

:root {
    --primary-white: #fff;
}

html, body {
    height: 100%;
}

.App {
    background: rgb(221, 232, 236);
    min-height: 100vh;
    font-family: "Varela Round", -apple-system, sans-serif;
}

.App-content {
    display: flex;
    justify-content: center;
    font-size: calc(10px + 2vmin);
    color: slategrey;
}

main {
    display: flex;
    flex-wrap: nowrap;
    min-height: 94vh;
    overflow-x: auto;
    overflow-y: scroll;
}

/* ##################################### NAVBAR ##################################### */
.navbar {
    background: rgb(39, 56, 45);
    background: linear-gradient(90deg, rgba(39, 56, 45, 1) 6%, rgba(145, 135, 177, 1) 31%, rgba(61, 158, 177, 1) 87%);
    min-height: 6vh;
    color: white;
}

.logo {
    border-radius: 5px;
}

/* ----------------- links ----------------- */

nav a.nav-link {
    letter-spacing: 0.0375rem;
    cursor: pointer;
}

nav ul li {
    text-align: end;
}

nav ul li ul.dropdown-menu {
    min-width: 0;
}


/* ##################################### SIDEBAR ##################################### */
.sidebar {
    min-height: 94vh;
    background: #212529;
}

.b-example-divider {
    flex-shrink: 0;
    width: 1.5rem;
    height: 94vh;
    background-color: rgba(0, 0, 0, .1);
    border: solid rgba(0, 0, 0, .15);
    border-width: 1px 0;
    box-shadow: inset 0 .5em 1.5em rgba(0, 0, 0, .1), inset 0 .125em .5em rgba(0, 0, 0, .15);
}


/* ##################################### CARDS ##################################### */
.card-img-container .img-thumbnail {
    width: 20%;
    height: 20%;
    margin: 5px;
}


/* ##################################### FORMS ##################################### */


/* ##################################### IMG_LOADER ##################################### */
.imageListContainer {
    margin-bottom: 5px;
}

.img-thumbnail-container {
    position: relative;
    text-align: center;
    color: white;
    padding: 5px;
}

.thumbnail-x-delete {
    position: absolute;
    background: #6c757d;
    color: black;
    top: 0;
    left: 0;
    width: 20px;
    border-radius: 5px;
    cursor: pointer;
    align-content: center;
    text-align: center;
}

.thumbnail-preview {
    height: 120px;
    border-radius: 5px;
}


/* ##################################### TAG_LOADER ##################################### */
.tagListContainer {
    margin-bottom: 5px;
}

.tag-thumbnail-container {
    display: flex;
    text-align: center;
    padding: 5px;
}

.tag-x-delete {
    padding: 2px;
    color: #a23737;
    border-radius: 5px;
    cursor: pointer;
}

.tag-preview {
    background: #dde8ec;
    padding: 2px;
    border-radius: 5px;
}


/* ##################################### ALERTS_MESSAGES ##################################### */
.error-container {
    background: #9187b1;
    border-radius: 5px;
    margin: 3px 3px 20px 3px;
    letter-spacing: 0.07rem;
    padding: 8px;
    color: white;
}

.success-container {
    background: #3d9eb1;
    border-radius: 5px;
    margin: 3px 3px 20px 3px;
    letter-spacing: 0.07rem;
    padding: 8px;
    color: white;
}


/* ##################################### SIGNIN ##################################### */
.form-signin {
    width: 100%;
    max-width: 330px;
    padding: 15px;
    margin: auto;
}

.form-signin .checkbox {
    font-weight: 400;
}

.form-signin .form-floating:focus-within {
    z-index: 2;
}

.form-signin input[type="email"] {
    margin-bottom: -1px;
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
}

.form-signin input[type="password"] {
    margin-bottom: 10px;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
}

.breadcrumb-item {
    cursor: pointer;
}


/* ##################################### SIGNUP ##################################### */
.form-signup {
    width: 100%;
    max-width: 70%;
    padding: 15px;
    margin: auto;
}


/* ##################################### TEST_ANSWERING ##################################### */
.question-number-list-grid {
    padding: 3px;
    border-radius: 3px;
    font-weight: bold;
    margin: 2px;
    background: #1c474f;
}

.legend-dot.not-answered {
    height: 10px !important;
    width: 10px !important;
    background-color: #949494;
    border-radius: 50%;
    display: inline-block;
}

.legend-dot.current {
    height: 10px !important;
    width: 10px !important;
    background-color: #c4b800;
    border-radius: 50%;
    display: inline-block;
}

.legend-dot.answered {
    height: 10px !important;
    width: 10px !important;
    background-color: #37be00;
    border-radius: 50%;
    display: inline-block;
}

.question-number-list-grid.not-answered {
    color: #949494;
}

.question-number-list-grid.current {
    color: #c4b800;
}

.question-number-list-grid.answered {
    color: #37be00;
}

.card-img-container {
}

.img-preview-wrapper {
    margin: 5px;
}


/* ##################################### TEST_EVALUATION ##################################### */
.responses-container {
    height: 40vh;
    overflow-y: auto;
}

.selected-answer {
    background: #3d9eb1;
}

.revised-symbol {
    color: #37be00;
}

.unrevised-symbol {
    color: #620808;
}

.feedback-list-container {
    height: 40vh;
    overflow-y: auto;
}


/* ##################################### MISC ##################################### */

.bg-coloured {
    color: rgb(221, 232, 236) !important;
}

.pointer {
    cursor: pointer;
}

.btn.btn-primary {
    background: #3d9eb1 !important;
    border-color: #3d9eb1;
}

.hover:hover {
    background-color: #3d9eb1;
}